petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDASetNumProcs

Sets the number of processes in each dimension

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetNumProcs(DM da, PetscInt m, PetscInt n, PetscInt p)

Logically Collective on DMDA Many br

### Input Parameters

| da | - the DMDA Many br
| m | - the number of X procs (or PETSC_DECIDE) Many br
| n | - the number of Y procs (or PETSC_DECIDE) Many br
| p | - the number of Z procs (or PETSC_DECIDE) Many br

Many br

### See Also

DMDASetSizes(), DMDAGetSize(), PetscSplitOwnership()

Level:intermediate
Location:src/dm/impls/da/da.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages